import { Body, Controller, Get, Put, Query } from '@nestjs/common';
import { InstitucionDiaService } from './institucion-dia.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { InstitucionDiaUpdateDto } from './dto/institucion-dia-update.dto';

@Controller('institucion-dia')
export class InstitucionDiaController {
  constructor(private institucionDiaService: InstitucionDiaService) {}

  @Get()
  get() {
    return this.institucionDiaService.findAll();
  }

  @Get('instituciones_dias')
  institucionesDias(@Query() query: IdInstitucionDto) {
    return this.institucionDiaService.findAllByIdInstitucion(
      Number(query.id_institucion),
    );
  }

  @Put()
  update(@Body() body: InstitucionDiaUpdateDto) {
    return this.institucionDiaService.update(body);
  }
}
