import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { InstitucionDia } from './entity/institucion-dia.entity';
import { InstitucionService } from '../institucion/institucion.service';
@Injectable()
export class InstitucionDiaService {
  constructor(
    @InjectRepository(InstitucionDia)
    private repositoryInstitucionDia: Repository<InstitucionDia>,
    private institucionService: InstitucionService,
  ) {}

  findAll() {
    return this.repositoryInstitucionDia.find();
  }

  findAllByIdInstitucion(id_institucion: number) {
    return this.institucionService
      .findById(id_institucion)
      .then((institucion) =>
        this.repositoryInstitucionDia.find({ institucion }),
      );
  }

  findById(id_institucion_dia: number) {
    return this.repositoryInstitucionDia
      .findOne({ id_institucion_dia })
      .then((institucionDia) => {
        if (!institucionDia) throw new Error('No existe esta institucion dia.');
        return institucionDia;
      });
  }

  update(attrs: Partial<InstitucionDia>) {
    return this.findById(attrs.id_institucion_dia)
      .then((institucionDia) => {
        Object.assign(institucionDia, attrs);
        return this.repositoryInstitucionDia.save(institucionDia);
      })
      .then((_) => ({
        message: 'Se actualió correctamente la institucion infracción.',
      }));
  }
}
