import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { InstitucionTipoCarritoService } from './institucion-tipo-carrito.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { InstitucionTipoCarritoCreateDto } from './dto/institucion-tipo-carrito-create.dto';
import { InstitucionTipoCarritoUpdateDto } from './dto/institucion-tipo-carrito-update.dto';

@Controller('institucion-tipo-carrito')
export class InstitucionTipoCarritoController {
  constructor(
    private institucionTipoCarritoService: InstitucionTipoCarritoService,
  ) {}

  @Post()
  create(@Body() body: InstitucionTipoCarritoCreateDto) {
    return this.institucionTipoCarritoService.create(
      body.letra,
      body.tipo_carrito,
    );
  }

  @Get()
  get() {
    return this.institucionTipoCarritoService.findAll();
  }

  @Get('institucion_tipos_carritos')
  institucionTiposCarritos(@Query() query: IdInstitucionDto) {
    return this.institucionTipoCarritoService.findAllByIdInstitucion(
      Number(query.id_institucion),
    );
  }

  @Get('institucion_tipos_carritos_mostar')
  institucionTiposCarritosMostrar(@Query() query: IdInstitucionDto) {
    return this.institucionTipoCarritoService.findAllByIdInstitucionMostar(
      Number(query.id_institucion),
    );
  }

  @Put()
  update(@Body() body: InstitucionTipoCarritoUpdateDto) {
    return this.institucionTipoCarritoService.update(body);
  }
}
