import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OperadorController } from './operador.controller';
import { OperadorService } from './operador.service';
import { Operador } from './entity/operador.entity';
import { InstitucionModule } from 'src/institucion/institucion.module';
import { TipoUsuarioModule } from 'src/tipo-usuario/tipo-usuario.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Operador]),
    InstitucionModule,
    TipoUsuarioModule,
  ],
  controllers: [OperadorController],
  providers: [OperadorService],
})
export class OperadorModule {}
