import { ConflictException, Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Programa } from './entity/programa.entity';

@Injectable()
export class ProgramaService {
  constructor(
    @InjectRepository(Programa) private repository: Repository<Programa>,
  ) {}

  create(programa: string) {
    return this.repository
      .findOne({ programa })
      .then((existePrograma) => {
        if (existePrograma)
          throw new ConflictException('Ya existe este programa.');
        return this.repository.save(this.repository.create({ programa }));
      })
      .then((_) => ({ message: 'Se creo correctamente el programa.' }));
  }

  findAll() {
    return this.repository.find();
  }
}
