import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { UsuarioService } from './usuario.service';
import { UsuarioEscolaresDto } from './dto/usuario-escolares.dto';
import { UsuarioLoginDto } from './dto/usuario-login.dto';
import { UsuarioRegistrarDto } from './dto/usuario-registrar.dto';
import { UsuarioUpdateDto } from './dto/usuario-update.dto';
import { UsuarioUsuariosDto } from './dto/usuario-usuarios.dto';
import { UsuarioDto } from './dto/usuario.dto';

@Controller('usuario')
export class UsuarioController {
  constructor(private usuarioService: UsuarioService) {}

  /* Pendiente por conexión */
  @Get('escolares')
  escolares(@Query() query: UsuarioEscolaresDto) {}

  @Post('login')
  login(@Body() body: UsuarioLoginDto) {
    return this.usuarioService.login(body.usuario, body.password);
  }

  @Post('registrar')
  registrar(@Body() body: UsuarioRegistrarDto) {
    return this.usuarioService.registrar(body.id_usuario, body.telefono);
  }

  @Put()
  update(@Body() body: UsuarioUpdateDto) {
    return this.usuarioService.update(body);
  }

  @Get('usuario')
  usuario(@Query() query: UsuarioDto) {
    return this.usuarioService.findByUsuario(query.usuario);
  }

  @Get('usuarios')
  usuarios(@Query() query: UsuarioUsuariosDto) {
    return this.usuarioService.findAll(query);
  }
}
